#ifndef RANDOM_H
#define RANDOM_H

#include <stdint.h>

typedef struct {
    uint32_t seed;
    uint32_t state;
} Random_Generator;

void random_init(Random_Generator *random_generator, uint32_t seed);

uint32_t random_u32(Random_Generator *random_generator);
uint32_t random_u32_range(Random_Generator *random_generator, uint32_t min, uint32_t max);


#endif